Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class DefaultGradleFactory

    java.lang.Object
      org.gradle.DefaultGradleFactory

All Implemented Interfaces:
  GradleFactory

    public class DefaultGradleFactory

extends java.lang.Object
implements GradleFactory

Constructor Summary
`DefaultGradleFactory(org.gradle.initialization.LoggingConfigurer loggingConfigurer, CommandLine2StartParameterConverter commandLine2StartParameterConverter)`

Method Summary
`StartParameter` | `createStartParameter(java.lang.String[] commandLineArgs)`
`org.gradle.initialization.LoggingConfigurer` | `getLoggingConfigurer()`
`GradleLauncher` | `newInstance(StartParameter startParameter)` Creates a new `GradleLauncher` instance for the given parameters.
`GradleLauncher` | `newInstance(java.lang.String[] commandLineArgs)`
`void` | `setLoggingConfigurer(org.gradle.initialization.LoggingConfigurer loggingConfigurer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGradleFactory

    public DefaultGradleFactory(org.gradle.initialization.LoggingConfigurer loggingConfigurer,
                                CommandLine2StartParameterConverter commandLine2StartParameterConverter)

Method Detail

### getLoggingConfigurer

    public org.gradle.initialization.LoggingConfigurer getLoggingConfigurer()

### setLoggingConfigurer

    public void setLoggingConfigurer(org.gradle.initialization.LoggingConfigurer loggingConfigurer)

### createStartParameter

    public StartParameter createStartParameter(java.lang.String[] commandLineArgs)

  Specified by:
    `createStartParameter` in interface `GradleFactory`

### newInstance

    public GradleLauncher newInstance(java.lang.String[] commandLineArgs)

  Specified by:
    `newInstance` in interface `GradleFactory`

### newInstance

    public GradleLauncher newInstance(StartParameter startParameter)

  Description copied from interface: `GradleFactory`
  Creates a new `GradleLauncher` instance for the given parameters.

  Specified by:
    `newInstance` in interface `GradleFactory`
  Parameters:
    `startParameter` - The parameters to use for the build.
  Returns:
    The new instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD